> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creatordb.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Add brand sponsor search details

> Get the sponsors' information from 500 related creators. There is no upper limit to the number of sponsors retrieved. Currently, this only supports YouTube channels.



## OpenAPI

````yaml /api-v2/api-v2.yaml post /brandSponsorSearch
openapi: 3.1.0
info:
  version: '2'
  title: CreatorDB Headless APIService
  description: >-
    Generated from swaggerComponentIndex.json by core-types-json-schema
    (https://github.com/grantila/core-types-json-schema). Use OpenAPI 3.1.0
    version with direct JSON Schema support
  termsOfService: https://www.creatordb.app
  contact:
    name: CreatorDB
    url: https://www.creatordb.app
    email: support@creatordb.app
  license:
    url: http://www.apache.org/licenses/LICENSE-2.0.html
    name: Apache 2.0
  x-id: indexForSwagger.yaml
servers:
  - url: https://dev.creatordb.app/v2
    description: CreatorDB API Endpoint - prod version
security: []
tags:
  - name: General Operations
    description: >-
      General-purpose endpoints such as API status, content retrieval, and
      cross-platform operations
  - name: YouTube
    description: >-
      YouTube creator data endpoints including basic metrics, historical data,
      and detailed analytics
  - name: Instagram
    description: >-
      Instagram creator data endpoints with metrics and advanced search
      capabilities
  - name: TikTok
    description: >-
      TikTok creator data endpoints with metrics and advanced search
      functionality
  - name: Threads
    description: Threads creator data endpoints with basic metrics and historical data
  - name: Facebook
    description: Facebook creator data endpoints with metrics and search capabilities
  - name: Topic
    description: Topic-based analysis and reporting endpoints for content categorization
  - name: Brand
    description: Brand analysis endpoints including sponsor search and brand reports
  - name: Niches
    description: Niche-related endpoints for content category analysis and related searches
paths:
  /brandSponsorSearch:
    post:
      tags:
        - Brand
      summary: Add brand sponsor search details
      description: >-
        Get the sponsors' information from 500 related creators. There is no
        upper limit to the number of sponsors retrieved. Currently, this only
        supports YouTube channels.
      operationId: brandSponsorSearch
      parameters:
        - name: apiId
          in: header
          description: ''
          required: true
          schema:
            type: string
            examples:
              - LE6DPZQkR3TQShxofXoD2j8qCBu1-f0jti665m1t50dwDD12W
      requestBody:
        description: search parameters with userId
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BrandSponsorSearchParams'
            examples:
              default:
                value:
                  userId: UCm-X6o81nRsXQTmqpyArkBQ
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/CreatorRelatedSponsors'
                  quotaUsed:
                    type: number
                    description: API credits that were used to make this call.
                  quotaUsedTotal:
                    type: number
                    description: Total API credits used since the last billing cycle.
                  remainingPlanCredit:
                    type: number
                    description: >-
                      The number of remaining free API credits that come with
                      your subscription plan. These API credits are renewed
                      every billing cycle.
                  remainingPrepurchasedCredit:
                    type: number
                    description: >-
                      The number of remaining extra purchased API credits. These
                      API credits do not expire until used.
                  timestamp:
                    type: number
                    description: >-
                      Unix timestamp of the call request that the server
                      received.
                  error:
                    type: string
                    description: Errors that occurred during the API call.
                  success:
                    type: boolean
                    description: It is TRUE when the call is successful.
              examples:
                default:
                  value:
                    data:
                      brands:
                        - brandId: youtube.com
                          sponsorResults:
                            - creatorId: UCGRryxFxjXbVAtBPE9EbyMg
                              creatorName: Joe Bartolozzi
                              platform: youtube
                              postLinks:
                                - https://www.youtube.com/watch?v=IcZRf7V5TCk
                                - https://www.youtube.com/watch?v=mJJdY3mx7zQ
                                - https://www.youtube.com/watch?v=FN7HgrJSbBE
                            - creatorId: UC-gW4TeZAlKm7UATp24JsWQ
                              creatorName: SMii7Yplus
                              platform: youtube
                              postLinks:
                                - https://www.youtube.com/watch?v=M_6_t2X3WaQ
                                - https://www.youtube.com/watch?v=akaom51Rdv0
                                - https://www.youtube.com/watch?v=dk7lmajSq-o
                            - creatorId: UCpB959t8iPrxQWj7G6n0ctQ
                              creatorName: SSSniperWolf
                              platform: youtube
                              postLinks:
                                - https://www.youtube.com/watch?v=2h789xMcu7E
                                - https://www.youtube.com/watch?v=UfPdqLwRzdM
                        - brandId: rayconglobal.com
                          sponsorResults:
                            - creatorId: UCGRryxFxjXbVAtBPE9EbyMg
                              creatorName: Joe Bartolozzi
                              platform: youtube
                              postLinks:
                                - https://www.youtube.com/watch?v=lMbmWk1IU9s
                            - creatorId: UCpB959t8iPrxQWj7G6n0ctQ
                              creatorName: SSSniperWolf
                              platform: youtube
                              postLinks:
                                - https://www.youtube.com/watch?v=2h789xMcu7E
                            - creatorId: UC02htytGSVVUsTGTFZEgtcg
                              creatorName: imactuallyLazy
                              platform: youtube
                              postLinks:
                                - https://www.youtube.com/watch?v=MWgOPczld_E
                        - brandId: buff.game
                          sponsorResults:
                            - creatorId: UCGRryxFxjXbVAtBPE9EbyMg
                              creatorName: Joe Bartolozzi
                              platform: youtube
                              postLinks:
                                - https://www.youtube.com/watch?v=J8Q64PQ_uLU
                    quotaUsed: 10
                    quotaUsedTotal: 6034
                    remainingPlanCredit: 993966
                    remainingPrepurchasedCredit: 0
                    timestamp: 1755503517048
                    error: ''
                    success: true
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/CreatorRelatedSponsors'
                  quotaUsed:
                    type: number
                    description: API credits that were used to make this call.
                  quotaUsedTotal:
                    type: number
                    description: Total API credits used since the last billing cycle.
                  remainingPlanCredit:
                    type: number
                    description: >-
                      The number of remaining free API credits that come with
                      your subscription plan. These API credits are renewed
                      every billing cycle.
                  remainingPrepurchasedCredit:
                    type: number
                    description: >-
                      The number of remaining extra purchased API credits. These
                      API credits do not expire until used.
                  timestamp:
                    type: number
                    description: >-
                      Unix timestamp of the call request that the server
                      received.
                  error:
                    type: string
                    description: Errors that occurred during the API call.
                  success:
                    type: boolean
                    description: It is TRUE when the call is successful.
              examples:
                default:
                  value:
                    data: null
                    quotaUsed: 0
                    quotaUsedTotal: 0
                    remainingPlanCredit: 0
                    remainingPrepurchasedCredit: 0
                    timestamp: 1755503514825
                    error: APIKeyOnlyForTesting
                    success: false
      servers:
        - url: https://dev.creatordb.app/v2
          description: CreatorDB API Endpoint - prod version
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |
            curl --request POST \
              --url https://dev.creatordb.app/v2/brandSponsorSearch \
              --header 'Accept: application/json' \
              --header 'Content-Type: application/json' \
              --header 'apiId: LE6DPZQkR3TQShxofXoD2j8qCBu1-f0jti665m1t50dwDD12W' \
              --data '{
              "userId": "UCm-X6o81nRsXQTmqpyArkBQ"
            }'         
components:
  schemas:
    BrandSponsorSearchParams:
      type: object
      description: The request body of the brandSponsorSearch API.
      additionalProperties: false
      properties:
        userId:
          type: string
          description: The creator's YouTube ID.
      required:
        - userId
    CreatorRelatedSponsors:
      type: object
      additionalProperties: false
      properties:
        brands:
          type: array
          description: Brands that sponsored 500 creators similar to the current creator.
          items:
            type: object
            additionalProperties: false
            properties:
              brandId:
                type: string
                description: Similar brand's ID or web domain to this creator's sponsors.
              sponsorResults:
                type: array
                description: Shows the details of creators sponsored by the brand.
                items:
                  $ref: '#/components/schemas/SponsorResults'
            required:
              - brandId
              - sponsorResults
      required:
        - brands
    SponsorResults:
      type: object
      additionalProperties: false
      properties:
        creatorId:
          type: string
          description: The ID of the sponsored creators on the social media platform.
        creatorName:
          type: string
          description: The creator's username on the social media platform.
        platform:
          type: string
          enum:
            - youtube
            - instagram
            - tiktok
          description: The social media platform displaying the sponsored video.
        postLinks:
          type: array
          description: URLs of the videos sponsored by the brand.
          items:
            type: string
      required:
        - creatorId
        - creatorName
        - platform
        - postLinks

````